﻿@model IEnumerable<Bll.Models.WorkExperienceModel>

@foreach (var item in Model)
{
    <div class="accordion-item">
        <h2 class="accordion-header" id="flush-heading-@item.Id">
            <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#flush-collapse-@item.Id" aria-expanded="false" aria-controls="flush-collapse-@item.Id">
                @item.CompanyName
            </button>
        </h2>
        <div id="flush-collapse-@item.Id" class="accordion-collapse collapse" aria-labelledby="flush-heading-@item.Id" data-bs-parent="#accordionFlushExample">
            <div class="d-flex flex-column align-items-center accordion-body">
                <div class="container w-100">
                    <div class="row">
                        <div class="col">
                            <div class="d-flex align-items-center justify-content-between border-bottom">
                                <p class="py-2">Department</p>
                                <p class="py-2 text-muted">@item.Position</p>
                            </div>
                            <div class="d-flex align-items-center justify-content-between border-bottom">
                                <p class="py-2">Start</p>
                                <p class="text-muted mb-0">@item.StartDate.ToString("yyyy MMMM")</p>
                            </div>
                            <div class="d-flex align-items-center justify-content-between border-bottom">
                                <p class="py-2">End</p>
                                @if (item.FinishDate.HasValue)
                                {
                                    <p class="text-muted mb-0">@item.FinishDate.Value.ToString("yyyy MMMM")</p>
                                }
                                else
                                {
                                    <p class="text-muted mb-0">Unfinished</p>
                                }
                            </div>
                        </div>
                        <div class="col">
                            <div class="d-flex btn-group w-100" role="group" aria-label="Basic mixed styles example">
                                @Html.ActionLink("Edit", "EditWorkExperience", "WorkExperience", new { item.Id }, new { @class = "btn btn-warning" })
                                @if (item.Summaries.Count == 0)
                                {
                                    @Ajax.ActionLink("Remove", "RemoveWorkExperience", "WorkExperience", new { item.Id }, new AjaxOptions { UpdateTargetId = "accordionFlushExample" }, new { @class = "btn btn-danger" })
                                }
                                else
                                {
                                    <a class="btn btn-danger disabled" role="button" aria-disabled="true">Remove</a>
                                }
                            </div>
                        </div>
                    </div>
                    @if (item.Summaries.Count != 0)
                    {
                        <div class="row" id="summaries-@item.Id">
                            @Ajax.ActionLink("Show Summaries", "ShowSummariesByWorkExperienceId", "Summary", new { item.Id }, new AjaxOptions { UpdateTargetId = $"summaries-{item.Id}" }, new { @class = "btn btn-primary" })
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
}
